/// [feComponentTransfer](https://www.w3.org/TR/SVG11/filters.html#feComponentTransferElement)
#[derive(Debug)]
pub struct ComponentTransfer {
    pub func_r: TransferFn,
    pub func_g: TransferFn,
    pub func_b: TransferFn,
    pub func_a: TransferFn,
}

/// [transfer functions](https://www.w3.org/TR/SVG11/filters.html#transferFuncElements)
#[derive(Debug)]
pub enum TransferFn {
    Identity,
    Table {
        table_values: Vec<f32>,
    },
    Discrete {
        table_values: Vec<f32>,
    },
    Linear {
        slope: f32,
        intercept: f32,
    },
    Gamma {
        amplitude: f32,
        exponent: f32,
        offset: f32,
    },
}
